package com.muyu.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.domain.TableFie;
import com.muyu.server.mapper.TableFieldMapperlimt;
import com.muyu.server.service.TableFieldServicelimt;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service.impl
 * @Project：cloud-property
 * @name：TableFieldServicelimtImpl
 * @Date：2024/8/23 20:17
 */
@Service
public class TableFieldServicelimtImpl
        extends ServiceImpl<TableFieldMapperlimt, TableFie>
        implements TableFieldServicelimt {

    @Override
    public List<TableFie> selectOrderPayByAppCodeAndLimit(String fieId, int limit) {

        LambdaQueryWrapper<TableFie> objectLambdaQueryWrapper = new LambdaQueryWrapper<>();
        objectLambdaQueryWrapper.eq(com.muyu.common.domain.TableFie::getField, fieId);
        objectLambdaQueryWrapper.orderBy(true,false,TableFie::getField);
        objectLambdaQueryWrapper.last("limit "+limit);

        return this.list(objectLambdaQueryWrapper);
    }
}
